﻿using System;
using System.Configuration;

namespace ConsoleApplication1.SqlStringFactory.Configuration
{
    public sealed class SqlStringFactorySectionHandler : ConfigurationSection
    {
        [ConfigurationProperty("defaultConnectionStringName")]
        public string DefaultConnectionStringName
        {
            get { return (string)base["defaultConnectionStringName"]; }
        }

        [ConfigurationProperty("secondaryConnectionStringName")]
        public string SecondaryConnectionStringName
        {
            get { return (string)base["secondaryConnectionStringName"]; }
        }

        [ConfigurationProperty("SqlStrings", IsDefaultCollection = false),
         ConfigurationCollection(typeof(SqlStringCollection), AddItemName = "add", ClearItemsName = "clear", RemoveItemName = "remove")]
        public SqlStringCollection SqlStrings
        {
            get
            {
                return (SqlStringCollection)this["SqlStrings"];
            }
        }
    }
}
